Package com.independentsoft.office.odf.styles

# Enum Class TableAlignment

java.lang.Object
java.lang.Enum<TableAlignment>
com.independentsoft.office.odf.styles.TableAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<TableAlignment>`, `Constable`

public enum TableAlignment extends Enum<TableAlignment>
Represents the horizontal alignment of a table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Table aligns to the center between left and right margins.
  `LEFT`
  Table aligns to the left margin.
  `MARGINS`
  Table fills all the space between the left and right margins.
  `NONE`
  None.
  `RIGHT`
  Table aligns to the right margin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TableAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TableAlignment LEFT
    Table aligns to the left margin.

  - ### CENTER

    public static final TableAlignment CENTER
    Table aligns to the center between left and right margins.

  - ### RIGHT

    public static final TableAlignment RIGHT
    Table aligns to the right margin.

  - ### MARGINS

    public static final TableAlignment MARGINS
    Table fills all the space between the left and right margins.

  - ### NONE

    public static final TableAlignment NONE
    None.

- ## Method Details

  - ### values

    public static TableAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TableAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null